W3C Simple API for CSS (SAC) version 1.3 - Java API: Interface PositionalCondition

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Interface PositionalCondition

All Superinterfaces:
  Condition

public interface PositionalCondition
extends Condition

Version:
  $Revision: 1.4 $
See Also:
  `Condition.SAC_POSITIONAL_CONDITION`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Method Summary
`int` | `getPosition()` Returns the position in the tree.
`boolean` | `getType()` `true` if the node should have the same node type (for element, same namespaceURI and same localName).
`boolean` | `getTypeNode()` `true` if the child node list only shows nodes of the same type of the selector (only elements, only PIS, ...)

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Method Detail

### getPosition

    public int getPosition()

  Returns the position in the tree.

  A negative value means from the end of the child node list.

  The child node list begins at 0.

### getType

    public boolean getType()

  `true` if the node should have the same node type (for element, same namespaceURI and same localName).

### getTypeNode

    public boolean getTypeNode()

  `true` if the child node list only shows nodes of the same type of the selector (only elements, only PIS, ...)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.